libtiff4 error with ROS

I am trying to compile a ROS-package from a friend with catkin under Ubuntu 14.04 and am getting the following error: <!-- language: default --> /usr/bin/ld: warning: libboost_system.so.1.49.0,...

libtiff4 under Ubuntu14.04

With the release of Ubuntu14.04, Ubuntu is using libtiff5 and not libtiff4 any more. However some programs/libraries etc are still using libtiff4 and therefore do not work under 14.04 any longer....

I need to compile libtiff4-dev on MacBook, which is the architecture?

I'm in the need of compiling libtiff4-dev on my Mac, it's a required packages to install OCRopus. After some searches online I've found this site that provides different version for...

Ubuntu 16.04 - Why I cannot install libtiff4-dev?

Following this tutorial, I am trying to install the OpenCV 3 with Python on Ubuntu 16.04. At the step of entering $ sudo apt-get install libjpeg8-dev libtiff4-dev libjasper-dev libpng12-dev I got...

opencv: installation of package libtiff

This package is installing opencv and here it says that libtiff4 has no installation. And here i set from libtiff4 to libtiff 5 so it says package broken i used all update commands again but not...

Install openCV in Centos

I am trying to install openCV in Centos 6. When I run the command [[email protected] opt]# sudo yum install libtiff4-dev libjpeg-dev libjasper-dev it returned the follow: Loaded plugins: fastestmirror,...

Compiling Ogre with LibTiff - undefined reference

I need to compile ogre as a dependency for gazebo with RoS. During the linking of it I get the following errors: Linking CXX executable...

scilab_SIVP atomsload error

I am facing a problem in loading SIVP toolbox in Scilab console. I am using scilab 5.5.0.I have installed libtiff4. I am getting the following error. Can anyone please help? SIVP - Scilab Image...

Mint updater fails after installing Canon printer drivers

I'm using linux Mint 17.2 "Rafaela". Today I installed drivers for Canon iP2700 series. The drivers' deb package relied on "libtiff4" package, but system uses "libtiff5", so I forced the...

Failed to find TIFF header file (tifflib error on python - Ubuntu 20.04)

I have the following error > ValueError: Failed to find TIFF header file (may be need to run: sudo apt-get install libtiff4-dev) I already ran: sudo apt-get install libtiff-dev:i386 sudo...

C++ LibTiff: undefined reference to _TIFFerrorHandler

I'm trying to use SDL_image in my project however I can't get past this error message ||=== Build: Win32 Release in Sandbox (compiler: GNU GCC Compiler)...

CMake / error when linking libfreeimage / libtiff

I'm quite new to CMake, now I'm trying to compile the COLMAP software from https://colmap.github.io/ with it. It compiles the modules but when it comes to linking it fails with a number of errors...

trouble with building the correct LIBTIFF version in ubuntu

My machine (Ubuntu 12.04) currently has libtiff.so.4.3.4: % locate...

ocropus installation on Ubuntu 11.04

I need to install ocropus on Ubuntu 11.04. I went through a long and painful process of trying ocropus 0.3 and 0.4 from the project's Downloads page, but to no avail - I could find no way of...

Transaction Check Error when installing ImageMagick-devel

I'm trying to install the RMagick gem on a Fedora box. To do so I need to install ImageMagick-devel. While installing ImageMagick-devel, I ran into the following error: Transaction Check...

Instaliing opencv4tegra on ubuntu 12.04

I am trying to install opencv4tegra on my host computer, which runs ubuntu 12.04, so I can cross compile with my jetson TK1. I have set up everything needed for the cross compilation and run some...

Linking error with `libopencv_highgui.so` under Ubuntu 14.04, strange result with `libtiff.so.5`

Problem I'm compiling the deep learning library Caffe in Ubuntu 14.04(64 bit). OpenCV(Version: 2.4.8+dfsg1-2ubuntu1) is installed from ubuntu packages server with : > sudo apt-get install...

Using Pillow with Python 3

I'm not having much luck using Pillow with Python 3.3.2 and I'd be grateful for some help. My problem is that after installing Pillow, I can't import Image. My setup: I've got Linux Mint 16...

how install OCR tesseract on opencv 3.1.0 on linux ubuntu 14.10?

I would like install correctly Opencv_contrib for Text_recognition. Have you a idea to the good process? Before I install Opencv 3.1.0 and opencv_contrib, I install leptonia-1.73, protobuf,...

building R: --with-libtiff not enabling TIFF capability

Compiling R-3.3.2 from source. My flags include --with-libtiff. They are: ./configure --with-system-tre --with-blas --with-lapack --with-libtiff --enable-R-shlib --enable-lto --prefix=/opt/new.R I...

'Failed to find TIFF header file' error while importing libtiff library on windows

I am trying to open large size tiff files using libtiff library. However, I am getting the following error when trying to import libtiff File...

Is there a map of packages across the different package management systems?

I have amassed a small collection of *nix boxes (Fedora, Ubuntu, CentOS and Puppy) and there are a couple of projects I'm considering that I need to install additional libraries. Specifically,...

How to prepare Ubuntu 14.04 for installing Django

I came across a tutorial which lists a number of libraries to install before installing Django (I am using Ubuntu 14.04, Python3, and Django 1.8): $ sudo apt-get update $ sudo apt-get -y upgrade $...

compile error in VeridisBiometricSDK_5.0_Linux sample: MatchingExample

I try to use VeridisBiometricSDK_5.0_Linux which is free Biometric library which has samples I tired to compile MatchingExample by doing exactly what the Readme file said : make...

Imagick - no decode delegate for this image format

I am trying to convert PNGs to GIF using ImageMagick on my Ubuntu server. I used a PHP code to generate it however when I ran it, I received.. >PHP Fatal error: Uncaught exception...

Need to run C# on linux server

I used to be able to run vb.net apps using just this apt-get install mono-runtime apt-get install mono-vbnc But I now need at least 2.8.0 to run a certain app that has already been compiled on...

Uninstall OpenCV 3.0.0 from Ubuntu14.04

I want to use surffeature with opencv3.0.0 on Ubuntu, but I didn't install opencv_contrib at first. When I tried to install opencv_contrib, it failed. So I intend to uninstall opencv3.0.0, and...

Installing xv utility on lubuntu 16.04

I'm using PIL but im.show() is not working .I think because I not have installed xv utility .So I tried to intall in it ,I search for it on google I got many solution but they not seems to work...

My System crashed after I build GTK+-3.12 from source

First , my operating system is Ubuntu Gnome 14.04.1, and the version of the GTK is 3.12.2, the source files are all downloaded in Gnome official website. In this afternoon, I try to build...

How to gain bash access to a docker container after its ran

My dockerfile looks like this: FROM my/ubuntu:latest RUN apt-get update \ &amp;&amp; apt-get install -y build-essential cmake pkg-config wget \ libjpeg8-dev libtiff4-dev libjasper-dev...